# Zeedhi Report 

## Introduction

The Zeedhi Report is a PHP library for building PDF, XLS and CSV reports from the Zeedhi Report Template.

## Zeedhi Report Template

The Zeedhi Report Template is a group of responsive properties that define the building of report files.

### Properties

Current available formatter types are:
- float
- currency
- hour

Both with property decimals to determine number of decimal cases displayed.

If you set the "decimal" and "thousands" property, the output will show the numbers using your decimal and thousands specified chars. Otherwise, we will use the delimiters of the lang passed to the report.

You can also define the thousands and decimal chars of your input value, so that the report can properly parse inputs like "200.000.500,55";

Usage example:
```
    columns : {
        "SALARY" : {
            "descricao" : "Salary",
            "size" : "20%",
            "align" : "left",
            "format" : {
                "type" : "currency",
                "decimals" : 2,
                "decimal": ".",
                "thousands": ",",
                "inputDecimal": ",",
                "inputThousands": "."
            }
        }
        ...
    }
```